Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class SubQueryInfo

    java.lang.Object
      jet.api.SubQueryInfo

    public class SubQueryInfo

extends java.lang.Object

Class SubQueryInfo wraps a subquery's information. When filtering the fields in a query with the filter format, you are also enabled to use subqueries to narrow down the result.

Constructor Summary
`SubQueryInfo(java.lang.String sLogic, java.lang.String sExpression1, java.lang.String sOperator, java.lang.String queryname)` Constructs a SubQueryInfo object.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compares the object.
`java.lang.String` | `getExpression1()` Returns the first expression value.
`java.lang.String` | `getLogic()` Returns the logic value.
`java.lang.String` | `getOperator()` Returns the operator value.
`java.lang.String` | `getQueryname()` Returns subquery name.
`void` | `setExpression1(java.lang.String sExpression1)` Sets the first expression value.
`void` | `setLogic(java.lang.String sLogic)` Sets the logic value.
`void` | `setOperator(java.lang.String sOperator)` Sets the operator value.
`void` | `setQueryname(java.lang.String queryname)` Sets the subquery name.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubQueryInfo

    public SubQueryInfo(java.lang.String sLogic,
                        java.lang.String sExpression1,
                        java.lang.String sOperator,
                        java.lang.String queryname)

  Constructs a SubQueryInfo object.

  Parameters:
    `sLogic` - Logic value.
    `sExpression1` - First expression value.
    `sOperator` - Operator value.
    `queryname` - Subquery name.

Method Detail

### getLogic

    public java.lang.String getLogic()

  Returns the logic value.

  Returns:
    logic value.

### getExpression1

    public java.lang.String getExpression1()

  Returns the first expression value.

  Returns:
    first expression value.

### getOperator

    public java.lang.String getOperator()

  Returns the operator value.

  Returns:
    operator value.

### getQueryname

    public java.lang.String getQueryname()

  Returns subquery name.

  Returns:
    subquery name.

### setLogic

    public void setLogic(java.lang.String sLogic)

  Sets the logic value.

  Parameters:
    `sLogic` - value.

### setExpression1

    public void setExpression1(java.lang.String sExpression1)

  Sets the first expression value.

  Parameters:
    `sExpression1` - First expression value.

### setOperator

    public void setOperator(java.lang.String sOperator)

  Sets the operator value.

  Parameters:
    `sOperator` - operator value.

### setQueryname

    public void setQueryname(java.lang.String queryname)

  Sets the subquery name.

  Parameters:
    `queryname` - Subquery name.

### equals

    public boolean equals(java.lang.Object obj)

  Compares the object.

  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    If the given object is equal to this one, return true, otherwise, returns false.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD